class ColorfulVehiclesMut extends Mutator;

function PostBeginPlay()
{
    local ONSVehicleFactory Factory;

	super.PostBeginPlay();

    foreach AllActors( class 'ONSVehicleFactory', Factory )
	{
        if (Factory != None)
        {
            if (Factory.VehicleClass == class'ONSAttackCraft')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulRaptor';
            }
            else if (Factory.VehicleClass == class'ONSRV')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulScorpion';
            }
            else if (Factory.VehicleClass == class'ONSPRV')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulHellbender';
            }
            else if (Factory.VehicleClass == class'ONSMobileAssaultStation')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulLeviathan';
            }
            else if (Factory.VehicleClass == class'ONSDualAttackCraft')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulCicada';
            }
            else if (Factory.VehicleClass == class'ONSArtillery')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulSPMA';
            }
            else if (Factory.VehicleClass == class'ONSShockTank')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulPaladin';
            }
            else if (Factory.VehicleClass == class'OnsBomber')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulBomber';
            }
            else if (Factory.VehicleClass == class'OnsHoverTank')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulGoliath';
            }
            else if (Factory.VehicleClass == class'OnsHoverBike')
            {
                Factory.VehicleClass = class'colorfulvehicles.ColorfulManta';
            }

        }
    }

	Super.PostBeginPlay();
}


defaultproperties
{
     FriendlyName="Colorful Vehicles"
     Description="Replaces standard and ECE vehicles with more colorful blue and red ones."
}
